#ifndef __INMODULE__
#define __INMODULE__

#include <qwidget.h>
#include "zcomponent.h"
#include "../list.h"
#include "../cconfig.h"

class inModule : public inComponent
{
	Q_OBJECT
    public:
		inModule();

		bool open(QString name, int mode);
		bool atEnd();
		int getch();
		void close();
		bool at(int offset);
		int readBlock(char *p, uint len);

		ZList &scan(QString path);
		ZListDevice &getDevices();
		bool exists(QString path);
		bool isGoodDir(QString path);
		bool isGoodFile(QString file);
		QString cdUp();
		
		QStrList getMenu();

    protected:
		inComponent *component;

	public slots:
		void menuClicked(int);

};

#endif
