// Classe ZListeur du projet zfm
// (c)1997 GOUIRAN Christophe
// 

#include "zcomponent.moc"
#include "inplugin.moc"
#include <qdir.h>
#include <qfileinf.h>
#include <stdlib.h> // malloc()
#include <unistd.h> // getuid()
#include <qmessagebox.h>
#include "inplugin.h"

#define MAX(a,b) ( (a>b) ? (a) : (b) )
#define MIN(a,b) ( (a<b) ? (a) : (b) )

Module::Module()
  : inComponent() 
{
    component = new inPlugin;
}


ZList &Module::scan(QString path)
{
    return component -> scan(path);
}


ZListDevice &Module::getDevices()
{
    return component -> getDevices();
}


QString Module::cdUp()
{
    return component -> cdUp();
}


bool Module::exists(const QString path)
{
	return component -> exists(path);
}


bool Module::isGoodDir(QString path)
{
	return component -> isGoodDir(path);
}


QStrList Module::getMenu()
{
	return component -> getMenu();
}


void Module::menuClicked(int id)
{
	component -> menuClicked(id);
}


extern "C" inComponent *getNewModule()
{
    return new Module;
}


inPlugin::inPlugin()
{
}


QStrList inPlugin::getMenu()
{
	QStrList l;
	
	return l;
}


ZList &inPlugin::scan(const QString path)
{
	name = path;


	// en premier, on decompresse le contenu de l'archive dans un fichier cree par tmpnam
	char *s = tmpnam();
	
	QString arg = "gzip -cd '";
	arg += path;
	arg += "' > ";
	arg += s;
	
	debug("%d", arg.data());

	system(arg.data());
	
   	list.clear();

	ZFileInfo *fi = new ZFileInfo(s);

	fi -> setSelected(FALSE);
    list.append(fi);

  	return list;
  
} // scan()	


QString inPlugin::cdUp()
{
	QDir d = dir;
	d.cdUp();	

	QFileInfo test(QFile(d.absPath()));

	debug("path : '%s'", test.absFilePath().data());
	debug("rep : %d", test.isDir());
	debug("rep : %s", d.absPath().data());
	
	return d.absPath();
}
