#ifndef __ZGLCOMPONENT__
#define __ZGLCOMPONENT__

#include <qwidget.h>
#include <qgl.h>
#include "../list.h"
#include "../cconfig.h"

class outGLComponent : public QGLWidget
{
	Q_OBJECT
    public:
		outGLComponent(QWidget *parent = 0, const char *name = 0)
			: QGLWidget(parent, name) {}
#if !defined(__CYGWIN32__)
		virtual QGLWidget *getNewWidget(CConfig *config, QWidget *parent = 0, const char *name = 0) { return 0; }
#endif
		virtual void display(ZList &) {}
		virtual void displayDevices(ZListDevice &) {}
		virtual QStrList getMenu() { QStrList empty; return empty; }

	public slots:
		virtual void menuClicked(int id) {}
		// recu lorsque l'utilisateur a selectionne un item du menu "options d'affichage"

};	

/*
class inComponent : public QObject
{
	Q_OBJECT
    public:
		inComponent() {}

		virtual ZList &scan(QString path) = 0;
		virtual ZListDevice &getDevices() = 0;
		virtual QString cdUp() = 0;
		virtual QStrList getMenu() = 0;
		virtual bool exists(QString path) = 0;
		virtual bool isGoodDir(QString path) = 0;
		virtual bool isGoodFile(QString file) = 0;

	public slots:
		virtual void menuClicked(int) = 0;
};
*/
#endif
