#ifndef __THREADDISPLAY_H__
#define __THREADDISPLAY_H__

#include <qstring.h>
#include "TThread.h"
#include "plugins/zcomponent.h"
#include "plugins/zglcomponent.h"
#include "list.h"

class threadDisplay : public Thread
{
  public:
	threadDisplay();
	void setList(ZList list) { myList = list; }
	void setComponent(outComponent *comp) { component = comp; GLcomponent = 0; }
	void setGLComponent(outGLComponent *comp) { GLcomponent = comp; component = 0; }
	void setMessenger(Thread *th) { t = th; }

	virtual ~threadDisplay() {}

  private:
	virtual void *ThreadMain();
	outComponent *component;
	outGLComponent *GLcomponent;
	ZList myList;
	Thread *t;
};

#endif