#ifdef WIN32
#include <windows.h>
#endif

#include "COptionsDialog.h"
#include "qfiledialog.h"

COptionsDialog::COptionsDialog(CConfigOpt *conf, QWidget *parent, const char *name)
  : optionsDialog(parent, name), local(conf)
{
  QString tmp2, tmp3;
  //tmp1 = local -> get("texteditor", "vi");
  //debug("Valeur de texteditor : %s", tmp.data());
  //textEditorText -> setText(tmp1.data());
  tmp2 = local -> get("hexeditor", "");
  hexaEditorText -> setText(tmp2.data());
  tmp3 = local -> get("pluginpath", ".");
  pluginsPathText -> setText(tmp3.data());

}

void COptionsDialog::hexaEditorClicked()
{
	QString path = QFileDialog::getOpenFileName();
	char *data = new char[path.length() + 1];
	strcpy(data, path.data());
#ifdef WIN32
	GetShortPathName(data, data, path.length());
#endif
	//if (!path.isNull())
		hexaEditorText -> setText(data);
}

void COptionsDialog::pluginsPathClicked()
{
	QString path = QFileDialog::getExistingDirectory();
	char *data = new char[path.length() + 1];
	strcpy(data, path.data());
#ifdef WIN32
	GetShortPathName(data, data, path.length());
#endif
	//if (!path.isNull())
		pluginsPathText -> setText(path.data());
}

void COptionsDialog::cancelClicked()
{
  done(1);
}

void COptionsDialog::saveClicked()
{
  //useClicked();
  local -> clear();
  QString path(pluginsPathText -> text());

	for(;;)
	{
		debug("'%s'", path.right(1).data());
		if(path.right(1) == "/" || path.right(1) == "\\")
			path.resize(path.length());
		else
			break;
	}
  //  if (path.right(1) != '\\') path += '\\';
//#else  
  //if (path.right(1) != '/') path += '/';
//#endif
  //local -> addEntry("texteditor", textEditorText -> text());
  local -> addEntry("hexeditor", hexaEditorText -> text());
  local -> addEntry("pluginpath", path);
  local -> save();
  done(1);
}

void COptionsDialog::useClicked()
{
  local -> clear();
  QString path(pluginsPathText -> text());

	for(;;)
	{
		debug("'%s'", path.right(1).data());
		if(path.right(1) == "/" || path.right(1) == "\\")
			path.resize(path.length());
		else
			break;
	}

//#ifdef WIN32
//  if (path.right(1) != '\\') path += '\\';
//#else  
//  if (path.right(1) != '/') path += '/';
//#endif
  
  //local -> addEntry("texteditor", textEditorText -> text());
  local -> addEntry("hexeditor", hexaEditorText -> text());
  local -> addEntry("pluginpath", path);
  done(1);
}
