#ifndef __INPLUGIN_H__
#define __INPLUGIN_H__

#include <qdir.h>
#include <qstrlist.h>
#include <qstring.h>
#include "../list.h"
#include "zcomponent.h"

class inPlugin;

class Module : public inComponent
{
	Q_OBJECT
    public:
		Module();

		ZList &scan(QString path);
		ZListDevice &getDevices();
		bool exists(QString path);
		bool isGoodDir(QString path);
		QString cdUp();
		
		QStrList getMenu();

    protected:
		inPlugin *component;

	public slots:
		void menuClicked(int);

};

class inPlugin
{
	
  public:

    inPlugin();

    ZList &scan(QString path);
    // scanne le repertoire path et renvoie une liste chainee sur les fichiers et repertoires

	ZListDevice &getDevices() { devices.clear(); return devices; }
	// renvoie une liste de tous les peripheriques dispos sur la machine

	QString cdUp();
	// sert a remonter d'un niveau

	bool exists(QString path) {return FALSE; }
	bool isGoodDir(QString path) { return FALSE; }

	QStrList getMenu();
	void menuClicked(int) {}

  protected:
    
    QDir dir;
    ZList list;
	ZListDevice devices;

};

#endif
